Bug 630344 - Openoffice.org upgrade fails due to archive unpacking, cpio: rename
Summary: Openoffice.org upgrade fails due to archive unpacking, cpio: rename
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-04 21:39 UTC by Andy Lawrence
Modified: 2010-09-09 04:34 UTC (History)
1 user (show)

Fixed In Version: openoffice.org-3.3.0-6.2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-09 04:34:25 UTC


Attachments (Terms of Use)

Description Andy Lawrence 2010-09-04 21:39:31 UTC
Description of problem:

Openoffice.org-core fails to upgrade do to this error:

Transaction Test Succeeded
Running Transaction
  Updating       : gdb-7.2-1.fc14.x86_64                                                            1/4 
  Updating       : 1:openoffice.org-core-3.3.0-6.1.fc14.x86_64                                      2/4 
Error unpacking rpm package 1:openoffice.org-core-3.3.0-6.1.fc14.x86_64
error: unpacking of archive failed on file /usr/lib64/openoffice.org3/share/extensions: cpio: rename
  Cleanup        : gdb-7.1.90.20100806-11.fc14.x86_64                                               3/4 
1:openoffice.org-core-3.3.0-5.1.fc14.x86_64 was supposed to be removed but is not!

Updated:
  gdb.x86_64 0:7.2-1.fc14                                                                               

Failed:
  openoffice.org-core.x86_64 1:3.3.0-6.1.fc14                                                           

Complete!


I thought maybe it was a bad copy on a mirror, so I downloaded the update from Koji, but it has the same problem:


[root@ace andy]# rpm -Uvh /home/andy/Downloads/openoffice.org-core-3.3.0-6.1.fc14.x86_64.rpm 
Preparing...                ########################################### [100%]
   1:openoffice.org-core    ########################################### [100%]
error: unpacking of archive failed on file /usr/lib64/openoffice.org3/share/extensions: cpio: rename failed - Is a directory
[root@ace andy]# 


This is 100% repeatable.  No other information in dmesg or messages.

Comment 1 Caolan McNamara 2010-09-05 19:19:04 UTC
yeah, know this one. Problem with upgrading something which was a dir to something which will be a link. Testing a workaround.

Comment 2 Caolan McNamara 2010-09-06 14:18:12 UTC
k, next one should fix this I hope, build launched as 3.3.0-6.2-fc14

Comment 3 Fedora Update System 2010-09-07 07:53:45 UTC
openoffice.org-3.3.0-6.2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-6.2.fc14

Comment 4 Fedora Update System 2010-09-07 18:37:07 UTC
openoffice.org-3.3.0-6.2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-6.2.fc14

Comment 5 Andy Lawrence 2010-09-08 00:32:59 UTC
Confirmed, openoffice.org-3.3.0-6.2.fc14 fixes the problem.  Thanks!

Comment 6 Fedora Update System 2010-09-09 04:34:11 UTC
openoffice.org-3.3.0-6.2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.